メインコンテンツへスキップ
POST
/
2
/
dm_conversations
DM 会話を作成
curl --request POST \
  --url https://api.x.com/2/dm_conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "conversation_type": "Group",
  "message": {
    "text": "<string>",
    "attachments": [
      {
        "media_id": "1146654567674912769"
      }
    ]
  },
  "participant_ids": [
    "2244994945"
  ]
}
'
{
  "data": {
    "dm_conversation_id": "123123123-456456456",
    "dm_event_id": "1146654567674912769"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
conversation_type
enum<string>
必須

作成される会話の種類。

利用可能なオプション:
Group
message
object
必須
participant_ids
string[]
必須

DM会話の参加者。

Required array length: 2 - 49 elements

このユーザーの一意の識別子。大きな整数値を扱えない言語やツールとの互換性の問題を避けるため、文字列として返されます。

Pattern: ^[0-9]{1,19}$

レスポンス

リクエストは成功しました。

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。